# $Revision: 1.18.2.1 $, $Date: 2007/02/17 20:58:46 $
Summary:	Implementation of General Security Service API
Summary(pl):	Implementacja GSS API (General Security Service API)
Name:		gss
Version:	0.0.15
Release:	3
License:	GPL
Group:		Libraries
Source0:	http://josefsson.org/gss/releases/%{name}-%{version}.tar.gz
# Source0-md5:	048c28d119e40ed0e8c36853f1538d7a
Patch0:		%{name}-info.patch
URL:		http://josefsson.org/gss/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel >= 0.14.1
BuildRequires:	gtk-doc >= 1.1
BuildRequires:	libtool >= 2:1.5
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	shishi-devel >= 0.0.18
BuildRequires:	texinfo
Requires:	shishi >= 0.0.18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GSS is an implementation of the Generic Security Service Application
Program Interface (GSS-API). GSS-API is used by network servers to
provide security services, e.g., to authenticate SMTP/IMAP clients
against SMTP/IMAP servers.

%description -l pl
GSS to implementacja GSS-API (Generic Security Service Application
Program Interface - oglnego API usug bezpieczestwa). GSS-API jest
uywane przez serwery sieciowe do udostpniania usug bezpieczestwa,
na przykad uwierzytelniania klientw SMTP/IMAP dla serwerw
SMTP/IMAP.

%package devel
Summary:	Header files for GSS library
Summary(pl):	Pliki nagwkowe biblioteki GSS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk-doc-common
Requires:	shishi-devel >= 0.0.18

%description devel
Header files for GSS library.

%description devel -l pl
Pliki nagwkowe biblioteki GSS.

%package static
Summary:	Static GSS library
Summary(pl):	Statyczna biblioteka GSS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GSS library.

%description static -l pl
Statyczna biblioteka GSS.

%prep
%setup -q
%patch0 -p1

rm -f m4/libtool.m4

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4 -I gl/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# conflicts with heimdal-devel
mv -f $RPM_BUILD_ROOT%{_mandir}/man3/gss_acquire_cred.3{,gss}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* THANKS
%attr(755,root,root) %{_bindir}/gss
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_mandir}/man1/gss.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/gss.h
%{_includedir}/gss
%{_pkgconfigdir}/*.pc
%{_infodir}/*.info*
%{_mandir}/man3/gss*.3*
%{_gtkdocdir}/gss

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gss.spec,v $
Revision 1.18.2.1  2007/02/17 20:58:46  qboosh
- release 3 (new gnutls)

Revision 1.18  2005/07/11 17:41:17  arekm
- rel 2

Revision 1.17  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.16  2004/11/23 21:30:30  qboosh
- updated to 0.0.15, build gtk-doc

Revision 1.15  2004/10/17 21:31:27  qboosh
- updated to 0.0.14 (for shishi 0.0.18)

Revision 1.14  2004/08/08 03:28:26  aredridel
- up to 0.0.13

Revision 1.13  2004/08/02 18:32:25  qboosh
- workaround conflict with heimdal-devel

Revision 1.12  2004/08/02 17:29:49  qboosh
- added man3 pages and HTML reference to -devel

Revision 1.11  2004/08/01 21:06:44  aredridel
- up to 0.0.12

Revision 1.10  2004/04/20 20:01:59  qboosh
- updated to 0.0.11, pl.po has been merged

Revision 1.9  2004/04/20 09:21:12  krzak
- rel 2 for new gnutls

Revision 1.8  2004/02/22 22:48:03  qboosh
- updated to 0.0.10, added pl.po

Revision 1.7  2004/01/15 20:24:56  qboosh
- updated to 0.0.9

Revision 1.6  2004/01/07 19:31:31  qboosh
- updated ac/lt hacks; release 2

Revision 1.5  2003/11/26 14:49:42  qboosh
- updated to 0.0.7, updated info patch, added workaround for autoconf madness

Revision 1.4  2003/11/25 22:14:36  qboosh
- updated deps (no pkgconfig, shishi 0.0.7)

Revision 1.3  2003/11/25 22:09:40  qboosh
- updated to 0.0.6, removed obsolete amfix patch

Revision 1.2  2003/08/03 10:21:48  qboosh
- -devel R: shishi-devel

Revision 1.1  2003/08/02 23:31:55  qboosh
- new
